[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

ShopperPress v2.7 Wordpress - SQL Injection Vulnerability



Title:
======
ShopperPress v2.7 Wordpress - SQL Injection Vulnerability


Date:
=====
2012-08-01


References:
===========
http://www.vulnerability-lab.com/get_content.php?id=669


VL-ID:
=====
669


Common Vulnerability Scoring System:
====================================
6.1


Introduction:
=============
ShopperPress is a Premium Wordpress theme with addon that transform Wordpress into a fully functionality online 
store with shopping cart functionality. ShopperPress is the ideal solution for anyone who wants to sell products 
& services, digital downloads or affiliate products online, you can even setup a catalog website. ShopperPress has 
been designed and tested to make setup and store management easy. Suitable for users of all levels, ShopperPress 
makes running an online store enjoyable whilst giving you all the professional tools required.ShopperPress has been 
optimized for search engines helping your store quickly rank high in all major search engines.You can also add-on 
Wordpress SEO plugins to help you customize meta tags and page titles. ShopperPress can create online stores, 
affiliate stores and even catalog websites. Every copy of ShopperPress includes Amazon, Ebay and CSV import tools, 
20+ payment gateways, 20+ store designs, shipping, tax, promotions, coupons, emails and lots more! ShopperPress 
includes 20+ different payment gateways allowing you to choose how your visitors pay for your products/services. 
We have integration for Paypal (standard and Pro), 2Checkout, Worldpay, eWay, Google Checkout, Authorize.net and 
lots more Built into ShopperPress are 20+ different store designs to choose from, all included free! Customizing 
your theme is quick and easy using the on/off display options found in the admin area with full support for 
plugins & widgets. ShopperPress has a built in order management system allowing you to manage your orders. You 
can easily view your order history, export to CSV, view product, billing and shipping details as well as print 
off customer invoices. With ShopperPress you can create custom product options such as colors and sizes. You 
can create up to 6 different product values which will be passed with the product to checkout as well as allow 
members to upload files. [24/7 Customer Support]We work hard to ensure our customers are 100% satisfied with our 
product which is why we offer a 24/7 customer support services.

(Copy of the Vendor Website:  http://shopperpress.com )


Abstract:
=========
The Vulnerability Laboratory Research Team discovered a SQL Injecction Vulnerability in the Shopperpress official Premium Wordpress Theme and Addon v2.7.


Report-Timeline:
================
2012-08-01:	Public Disclosure


Status:
========
Published


Exploitation-Technique:
=======================
Remote


Severity:
=========
High


Details:
========
A SQL Injection vulnerability is detected in the Shopperpress official Premium Wordpress Theme and Addon v2.7. 
Remote attackers with privileged user accounts & module access can execute/inject own sql commands to compromise 
the wordpress application dbms. The vulnerability is located in the listing modules with the bound vulnerable 
id parameter. Exploitation requires privileged user account or module access rights.

Vulnerable Module(s):
				[+] Listing - [Edit]

Vulnerable Parameter(s):		
				[+] ID


Proof of Concept:
=================
The sql injection vulnerability can be exploited by a privileged wordpress user account without user inter action. For demonstration or reproduce ...

PoC:
http://shopperpress.127.0.0.1:38/wp-admin/admin.php?page=orders&id=5-261343282-1%27union select[SQL-INJECTION!]--

--- SQL Exception Logs ---
 You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right 
syntax to use near '[SQL-INJECTION!]' GROUP BY order_id LIMIT 1' at line 1 on line: 80


Solution:
=========
The vulnerability can be patched by parsing the id parameter of the edit functions in the addon module files.


Risk:
=====
The security risk of the sql injection vulnerability is estimated as high(-).


Credits:
========
Vulnerability Laboratory [Research Team]  -    Benjamin Kunz Mejri (bkm@xxxxxxxxxxxxxxxxxxxxx)


Disclaimer:
===========
The information provided in this advisory is provided as it is without any warranty. Vulnerability-Lab disclaims all warranties, 
either expressed or implied, including the warranties of merchantability and capability for a particular purpose. Vulnerability-
Lab or its suppliers are not liable in any case of damage, including direct, indirect, incidental, consequential loss of business 
profits or special damages, even if Vulnerability-Lab or its suppliers have been advised of the possibility of such damages. Some 
states do not allow the exclusion or limitation of liability for consequential or incidental damages so the foregoing limitation 
may not apply. We do not approve or encourage anybody to break any vendor licenses, policies, deface websites, hack into databases 
or trade with fraud/stolen material.

Domains:    www.vulnerability-lab.com   	- www.vuln-lab.com			       - www.vulnerability-lab.com/register
Contact:    admin@xxxxxxxxxxxxxxxxxxxxx 	- support@xxxxxxxxxxxxxxxxxxxxx 	       - research@xxxxxxxxxxxxxxxxxxxxx
Section:    video.vulnerability-lab.com 	- forum.vulnerability-lab.com 		       - news.vulnerability-lab.com
Social:	    twitter.com/#!/vuln_lab 		- facebook.com/VulnerabilityLab 	       - youtube.com/user/vulnerability0lab
Feeds:	    vulnerability-lab.com/rss/rss.php	- vulnerability-lab.com/rss/rss_upcoming.php   - vulnerability-lab.com/rss/rss_news.php

Any modified copy or reproduction, including partially usages, of this file requires authorization from Vulnerability Laboratory. 
Permission to electronically redistribute this alert in its unmodified form is granted. All other rights, including the use of other 
media, are reserved by Vulnerability-Lab Research Team or its suppliers. All pictures, texts, advisories, sourcecode, videos and 
other information on this website is trademark of vulnerability-lab team & the specific authors or managers. To record, list (feed), 
modify, use or edit our material contact (admin@xxxxxxxxxxxxxxxxxxxxx or support@xxxxxxxxxxxxxxxxxxxxx) to get a permission.

    				   	Copyright © 2012 | Vulnerability Laboratory



-- 
VULNERABILITY RESEARCH LABORATORY
LABORATORY RESEARCH TEAM
CONTACT: research@xxxxxxxxxxxxxxxxxxxxx




[Linux Security]     [Netfilter]     [Linux]     [PHP]     [Photography]     [Yosemite Photos]     [Yosemite News]

Powered by Linux